Page MenuHomePhabricator

Get people to respond to Confidence Survey
Closed, ResolvedPublic

Description

We need more people to respond to the Confidence Survey.

Event Timeline

dbarratt created this task.Aug 31 2017, 4:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2017, 4:18 PM

Potentially also use the admin email list, and/or to post on admin's noticeboard.

TBolliger renamed this task from Get more people to respond to Confidence Survey to Get people to respond to Confidence Survey.Sep 12 2017, 6:51 PM
TBolliger closed this task as Resolved.Sep 18 2017, 6:17 PM
TBolliger moved this task from In progress to Done on the Anti-Harassment (AHT Sprint 5) board.